﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FluentUnity
{
    [AttributeUsage(AttributeTargets.Interface)]
    public class ImplementationAttribute : Attribute
    {
        public ImplementationAttribute()
        {
        }

        public ImplementationAttribute(Type type)
        {
            Ensure.IsNotNull(() => type);
            Type = type;
        }

        public Type Type { get; protected set; }
    }
}