﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;

namespace FluentUnity.Tests.Dependencies
{
    internal class SomeThing : ISomeThing
    {

        public SomeThing(ISomeOtherThing someOtherThing)
        {
            Console.WriteLine("SomeThing({0})", someOtherThing);
            SomeOtherThing = someOtherThing;
        }

        public void DoSomething()
        {
            Console.WriteLine("DoSomething()");
            SomeOtherThing.DoSomethingElse();
        }

        public ISomeOtherThing SomeOtherThing { get; private set; }
    }
}